# WRENCHBOARD API configuration file
version = "1.0";

system:
{
	live = "0";
	base_url = "http://oameye.works.wrenchboard.com/";
	profile_picture_bad ="\\192.168.2.155\wrenchboard\TEST\profile";
	profile_picture ="/opt/wrenchboard/TEST/profile";
	profile_picture_width = "450";
	profile_picture_height = "450";
	profile_picture_size = "51200";
	site_apple_app = "https://itunes.apple.com/us/app/wrenchboard/id1435718367?ls=1&mt=8";
	site_andriod_app = "https://play.google.com/store/apps/details?id=com.wrenchboard.users";
	upload_size_limit = "3145728";
	server_name = "https://oameye.work.wrenchboard.com";
	force_job_wait = "0";
};

flutterwave:
{
	public_key     = "FLWPUBK_TEST-54c90141b028789d671067bd72f781a9-X"; 
};
	
PaypalOld:
{
	business      = "wrenchboard@fluxtra.net"; 
	no_shipping   = "1";
	return        = "/paypal/retn";
	cancel_return = "/paypal/canc";
	no_note       = "1";
	currency_code = "USD";
	lc            = "US";
	bn            = "PP-BuyNowBF";
	url           = "https://www.paypal.com/cgi-bin/websc";
	token         = "yRq2DZrFeAdpnEUdhU_khoQP5GQU339stnnoYrm_vduQZz3X-XxwQhmJk54";
};

Paypal:
{
	business      = "support@wrenchboard.com"; 
	no_shipping   = "1";
	return        = "/paypal/retn";
	cancel_return = "/paypal/canc";
	no_note       = "1";
	currency_code = "USD";
	lc            = "US";
	bn            = "PP-BuyNowBF";
	url           = "https://www.paypal.com/cgi-bin/websc";
	token         = "yRq2DZrFeAdpnEUdhU_khoQP5GQU339stnnoYrm_vduQZz3X-XxwQhmJk54";
	pass          = "Wr3nchBo8rd@c0m!";
};

stripe:
{
        publishable_key = "pk_test_51JwvOXCMmfol61TL2IlTEWytKObMLrZTAxJRHdepqWggXm4ENMyrrnR5dxfd5cPeflvCUG1HsErQI43BjOAmUEh500N0FWOZoE";
		old_publishable_key ="pk_test_X7TylEk9BkZCarcj0FyKRYXc";
        secret_key = "sk_test_51JwvOXCMmfol61TLadZlDf2rxq6Q1IC50JITRixcbyig8T2zdqpO8HY2NEcwNHacRQKQpTf6JGh7haqUVEH0rccA00eFht1ewi";
		old_secret_key = "sk_test_MA2ltfGlT70Nu7uWlmHowBRB";
};

database:
{
#- using docker 10.23	host = "127.0.0.1";
	host = "10.10.10.23"; 
	name = "wrenchboard";
	user = "wrenchboard";
	pass = "wrenchboard";
	port = 5432L;
};

mailsend:
{
	from = "support@wrenchboard.com";
	server = "smtp.gmail.com";
	domain = "wrenchboard.com";
	user = "support@wrenchboard.com";
	pass = "may12002!";
	name = "WrenchBoard Demo Support";
};

mailsend_no:
{
	from = "dev-system@wrenchboard.com";
	server = "smtp.gmail.com";
	domain = "wrenchboard.com";
	user = "dev-system@wrenchboard.com";
	pass = "f7f22@A97f.Wrench";
	name = "WrenchBoard Demo Support";
};

mailsend_old:
{
	from = "demo@wrenchboard.com";
	server = "virtualmail.chiefsoft.com";
	domain = "wrenchboard.com";
	user = "demo@wrenchboard.com";
	pass = "may12002";
	name = "WrenchBoard Demo Support";
};



interswitch:
{
	soap_endpoint = "https://stageserv.interswitchng.com/uat_quicktellerservice/quickteller.svc";
	entity_code = "MBA";
	terminal_id = "3MBA0001";
	master_key = "2D1A2518252A1B1A2A23281F242518212123221D272C1C26";
	pin = "2009";
	prefix = "1176";
	keyfile = "/etc/paylid/paylid_test.pem";
	password = "password";
	cacert = "/etc/paylid/stageserv.interswitchng.com.pem";
	version = 0L;
};


paylid:
{
	soap_endpoint = "https://oameye.works.storeface.com/rsl/service.php";
	terminal_id = "INTERRA001";
	master_key = "29832d0e1a51eff1cb673feda90293abec053aa5b81f9649d9ed53de86f79ed7";
};

transnotif:
{
	contact = "ses66181+contact@gmail.com,support+contact@wrenchboard.com,tokslaw+contact@chiefsoft.com";
	topupemail = "ses66181@gmail.com,ameye@chiefsoft.com,tokslaw+signup@chiefsoft.com";
	signupreport ="ses66181+signup@gmail.com,tokslaw+signup@chiefsoft.com";
	topalert = "ses66181+alert@gmail.com,tokslaw+alert@chiefsoft.com";
};

webpay:
{
	url = "https://stageserv.interswitchng.com/test_paydirect/pay";
	status_url = "https://stageserv.interswitchng.com/test_paydirect/api/v1/gettransaction.json";
	product_id=  "4012";
	pay_item_id =  "4012";
	mac =  "CAEEA12CBE1121AE6E9CB6BC87F9B8B47DECD10668B703B7CC0CEDC90DAE30DADC9548541373FF554DAFD18A7ECED00465195E688159A3955E5B38764A341722";
	return_url = "tranx_noti.php";
	topup_return_url = "tranx_topup.php";
};

google:
{
	storage_project_id = "wrenchboard-prod";
	storage_auth_file = "/home/oameye/wrenchboard/wrenchboard/etc/wrenchboard-prod-16dbc94e46a8.json";
};

onesignal:
{
	app_id = "e80afcf4-6fad-493c-b5cc-452d37196dea";
};

logger:
{
	host = "10.0.0.112";
	port = 12201L;
	file = 0L;
	level = "FLOG_MAX";
	# 0 - ERROR
	# 1 - WARNING
	# 2 - INFO
	# 3 - DEBUG
	# 4 - DEBUG1
	# 5 - DEBUG2
	# 6 - DEBUG3
	# 7 - DEBUG4
	# 8 - SQL
	# 9 - FLOG_MAX
};

